%bcond_without sphinx_docs

Summary:        A set of libraries and tools for managing boot loader entries
Name:           boom-boot
Version:        1.5.1
Release:        2%{?dist}
License:        GPLv2
URL:            https://github.com/snapshotmanager/boom
Source0:        %{url}/archive/%{version}/boom-%{version}.tar.gz

BuildRequires:  make python3-setuptools python3-devel
%if %{with sphinx_docs}
BuildRequires:  python3-dbus
BuildRequires:  python3-sphinx
%endif

Requires: python3-boom = %{version}-%{release}
Requires: %{name}-conf = %{version}-%{release}

BuildArch:      noarch

%description
Boom is a boot manager for Linux systems using boot loaders that support
the BootLoader Specification for boot entry configuration.

Boom requires a BLS compatible boot loader to function: either the
systemd-boot project, or Grub2 with the BLS patch.

%package -n python3-boom
Summary:        A set of libraries and tools for managing boot loader entries
Requires:       %{__python3}
Recommends:     (lvm2 or brtfs-progs)
Recommends:     %{name}-conf = %{version}-%{release}
Provides:       python3-boom

%description -n python3-boom
Boom is a boot manager for Linux systems using boot loaders that support
the BootLoader Specification for boot entry configuration.

Boom requires a BLS compatible boot loader to function: either the
systemd-boot project, or Grub2 with the BLS patch.This package provides python3 boom module.

%package conf
Summary: A set of libraries and tools for managing boot loader entries

%description conf
Boom is a boot manager for Linux systems using boot loaders that support
the BootLoader Specification for boot entry configuration.

Boom requires a BLS compatible boot loader to function: either the
systemd-boot project, or Grub2 with the BLS patch.This package provides configuration files for boom.

%prep
%autosetup -p1 -n boom-%{version}

%build
%if %{with sphinx_docs}
make -C doc html
rm doc/_build/html/.buildinfo
mv doc/_build/html doc/html
rm -r doc/_build
%endif

%py3_build

%install
%py3_install

install -d -m 700 ${RPM_BUILD_ROOT}/boot/boom/profiles
install -d -m 700 ${RPM_BUILD_ROOT}/boot/boom/hosts
install -d -m 700 ${RPM_BUILD_ROOT}/boot/loader/entries
install -d -m 700 ${RPM_BUILD_ROOT}/boot/boom/cache
install -m 644 examples/boom.conf ${RPM_BUILD_ROOT}/boot/boom

mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man8
mkdir -p ${RPM_BUILD_ROOT}/%{_mandir}/man5
install -m 644 man/man8/boom.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8
install -m 644 man/man5/boom.5 ${RPM_BUILD_ROOT}/%{_mandir}/man5

rm doc/Makefile
rm doc/conf.py


%files
%license COPYING
%doc README.md
%doc %{_mandir}/man*/boom.*
%{_bindir}/boom


%files -n python3-boom
%license COPYING
%doc README.md doc examples tests
%{python3_sitelib}/*

%files conf
%license COPYING
%doc README.md
%dir /boot/boom
%config(noreplace) /boot/boom/boom.conf
%dir /boot/boom/profiles
%dir /boot/boom/hosts
%dir /boot/boom/cache
%dir /boot/loader/entries


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 21 2023 kianli <kianli@tencent.com> - 1.5.1-1
- Upgrade to 1.5.1

* Fri May 05 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.4-4
- enable sphinx_docs

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 08 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.4-1
- initial build
